Description

Description of problem:

GET /api/v2/provisioning_templates/build_pxe_default returns:
> "error": {"message":"Resource provisioning_template not found by id 'build_pxe_default'"}

However, deprecated GET /api/v2/config_templates/build_pxe_default works as expected:
> {"message":"PXE Default file has been deployed to all Capsules"}

Version-Release number of selected component (if applicable):
Satellite 6.3.0 Snap 8 / Foreman 1.13.2.2-1
Satellite 6.2.7 Snap 3.0 / Foreman 1.11.0.65-1

The API request should be POST instead of GET.

POST /api/v2/provisioning_templates/build_pxe_default

GET call however works for "api/v2/config_templates/build_pxe_default" but it's depricated.

Can adopt one of the following:

1. Obsolete GET api/v2/config_templates/build_pxe_default
2. Add GET api/v2/provisioning_templates/build_pxe_default

Later doesn't make sense to me, since it would unnecessarily leverage the use of GET instead of POST on an update action. Hence
going with option #1.

Related issues:
Related to Foreman - Bug #6976: Build default PXE menu should be POST request... Closed 08/07/2014

History

#1 - 02/14/2017 04:56 AM - Dominic Cleal

Is the route GET /api/v2/provisioning_templates/build_pxe_default documented?

Only POST /api/provisioning_templates/build_pxe_default is listed in the API documentation, so a 404 is correct.

#2 - 02/14/2017 04:57 AM - Swapnil Abnave
- Related to Bug #6976: Build default PXE menu should be POST request instead of GET added
#3 - 02/14/2017 04:58 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/4278 added

#4 - 02/14/2017 07:56 AM - Dominic Cleal
- Status changed from Ready For Testing to Rejected

PR rejected - the GET..provisioning_templates APl is not documented or supported, and the GET..config_templates remains deprecated until the next
API version.

05/20/2024 22


http://www.tcpdf.org

